Bug 974348 - Review Request: python-itsdangerous - Python library for passing trusted data to untrusted environments
Review Request: python-itsdangerous - Python library for passing trusted data...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ricky Elrod
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-13 23:55 EDT by Dan Callaghan
Modified: 2013-07-10 18:04 EDT (History)
4 users (show)

See Also:
Fixed In Version: python-itsdangerous-0.21-2.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-09 21:27:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
relrod: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dan Callaghan 2013-06-13 23:55:49 EDT
Spec URL: http://fedorapeople.org/~dcallagh/python-itsdangerous/python-itsdangerous.spec
SRPM URL: http://fedorapeople.org/~dcallagh/python-itsdangerous/python-itsdangerous-0.21-1.fc18.src.rpm
Description: Itsdangerous is a Python library for passing data through untrusted environments (for example, HTTP cookies) while ensuring the data is not tampered with.
Internally itsdangerous uses HMAC and SHA1 for signing by default and bases the implementation on the Django signing module. It also however supports JSON Web Signatures (JWS).
Fedora Account System Username: dcallagh
Comment 1 Ricky Elrod 2013-06-14 06:15:16 EDT
Taking for review, since I need this to update Flask to 0.10.
Comment 2 Ricky Elrod 2013-06-14 07:32:13 EDT
Everything looks good here, just one thing - you use both %{buildroot} and $RPM_BUILD_ROOT. Standardize on one: https://fedoraproject.org/wiki/Packaging:Guidelines#UsingBuildRootOptFlags

Once you do that, I will approve. :)

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package consistently uses macro is (instead of hard-coded directory names).
  Note: Using both %{buildroot} and $RPM_BUILD_ROOT
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#macros


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Large documentation must go in a -doc subpackage.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[?]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-itsdangerous-0.21-1.fc20.noarch.rpm
python-itsdangerous.noarch: W: spelling-error Summary(en_US) untrusted -> entrusted, trusted, encrusted
python-itsdangerous.noarch: W: spelling-error %description -l en_US untrusted -> entrusted, trusted, encrusted
1 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-itsdangerous
python-itsdangerous.noarch: W: spelling-error Summary(en_US) untrusted -> entrusted, trusted, encrusted
python-itsdangerous.noarch: W: spelling-error %description -l en_US untrusted -> entrusted, trusted, encrusted
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-itsdangerous (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python-itsdangerous:
    python-itsdangerous



Source checksums
----------------
http://pypi.python.org/packages/source/i/itsdangerous/itsdangerous-0.21.tar.gz :
  CHECKSUM(SHA256) this package     : c760381fc09dc120e4b459f5ba39ed55ea21fd77ac9f4d4101c0c237d8fc9d9e
  CHECKSUM(SHA256) upstream package : c760381fc09dc120e4b459f5ba39ed55ea21fd77ac9f4d4101c0c237d8fc9d9e


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 974348
Comment 4 Ricky Elrod 2013-06-17 11:51:36 EDT
Looks good. Look forward to having this so I can update Flask. :)

APPROVED.
Comment 5 Dan Callaghan 2013-06-17 19:15:02 EDT
New Package SCM Request
=======================
Package Name: python-itsdangerous
Short Description: Python library for passing trusted data to untrusted environments
Owners: dcallagh
Branches: f17 f18 f19 el6
InitialCC:
Comment 6 Gwyn Ciesla 2013-06-18 06:54:42 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-06-18 07:37:24 EDT
python-itsdangerous-0.21-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-itsdangerous-0.21-2.fc19
Comment 8 Fedora Update System 2013-06-18 07:38:04 EDT
python-itsdangerous-0.21-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-itsdangerous-0.21-2.fc18
Comment 9 Fedora Update System 2013-06-18 07:38:43 EDT
python-itsdangerous-0.21-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-itsdangerous-0.21-2.el6
Comment 10 Fedora Update System 2013-06-18 07:54:58 EDT
python-itsdangerous-0.21-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-itsdangerous-0.21-3.fc17
Comment 11 Fedora Update System 2013-06-19 00:27:49 EDT
python-itsdangerous-0.21-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 12 Fedora Update System 2013-06-29 14:04:54 EDT
python-itsdangerous-0.21-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 13 Fedora Update System 2013-07-09 21:27:53 EDT
python-itsdangerous-0.21-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 14 Fedora Update System 2013-07-09 21:28:47 EDT
python-itsdangerous-0.21-3.fc17 has been pushed to the Fedora 17 stable repository.
Comment 15 Fedora Update System 2013-07-10 18:04:58 EDT
python-itsdangerous-0.21-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.